TAAS - Feature #131

Document Approve
02/02/2023 02:44 PM - Anil KV

Status: Reopen Bugs Coding Done Start date: 02/02/2023
Priority: Normal Due date:

Assignee: Augustin Jose % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: Arathy PS
Time Taken(HH): Code Reviewed By:

Module: Document Approve

Description

Coding Document Approve

History

#1 - 02/02/2023 09:02 PM - Junaid M
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

- Status changed from New to Open

- % Done changed from 0 to 10

#2 - 02/21/2023 03:01 PM - Junaid M
- Assignee changed from Junaid M to Karthika V Anand

#3 - 02/21/2023 04:42 PM - Karthika V Anand
- Status changed from Open to Ready for Coding
- % Done changed from 10 to 20

#4 - 02/22/2023 10:23 AM - Karthika V Anand
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 40

#5 - 02/28/2023 04:47 PM - Karthika V Anand
- Status changed from Coding Started to Particialy Coding Done

#6 - 03/01/2023 04:24 PM - Karthika V Anand
- Status changed from Particialy Coding Done to Coding Done

- % Done changed from 40 to 60

#7 - 03/13/2023 04:29 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

05/04/2025 1/6




1.Fix bugs on 'Status Selection Box'
(Drop down icon missing)
2.Fix error while Approve & Reject

P0001: jsnSglRes: {"sinSglCustomStatus" : -1, "strSglCustomStatusCode" : "ERROR", "strSglCustomMessage" : "Doc
ument Approval Status Update Failed", "strSglCustomErrorType" : "DATABASE_SYSTEM_ERROR", "strSqglCustomErrorCod
e" : null, "strSglSysMessage" : "column \"Jjsnchequeleaf\" does not exist", "strSglSysExceptionDetail" ww, Ug
trSglSysExceptionHint" : "PL/pgSQL function fn_document_approval (jsonb[]) line 27 at SQL statement", "binSqlPk
" : 0, "binSglLogPk" : 0, "strSglDocNo" : null, "dctSglOtherData" : null}

#8 - 03/16/2023 03:02 PM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#9 - 03/17/2023 05:09 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Use dd/mm/yyyy format on grid

2.Resize grid column

(Date, Status, Reference, Narration, Remark)

3.Fix bugs on Selection Box (Status - Untick all & Search)
4.Use proper alerts for Approve & Reject

#10 - 03/20/2023 10:48 AM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#11 - 03/20/2023 05:51 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Fix bugs on Selection box
(Status-Not working proper)

#12 - 03/21/2023 10:26 AM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#13 - 06/08/2023 07:13 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****

1.Fix bugs on drop down icon
(Missing while search)

2.Set proper alignment on GUI
3.Translation bugs - Arabic ,Hindi

#14 - 06/09/2023 09:58 AM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#15 - 06/12/2023 06:44 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Attach all Transaction document modules on Module Multi selection box
2.Documents not showing on grid while search
( Fix bugs on Cash Counter)

#16 - 06/13/2023 11:05 AM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#17 - 07/04/2023 06:40 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Fix errors on grid- Amount In QAR
(Showing wrong currency values)
2.Resize remark column

3.Fix bugs on check box - automatically checked while tap on view icon

4.Prevent deleted documents on Document approve

#18 - 07/04/2023 07:42 PM - Junaid M
- Assignee changed from Karthika V Anand to Athul P

#19 - 07/04/2023 08:59 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Document Approve Enhancement like Posting Approve Done.

#20 - 07/28/2023 04:37 PM - Junaid M
- Assignee changed from Athul P to Karthika V Anand

#21 - 08/16/2023 05:46 PM - Seema Mathew
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to Seema Mathew
ISSUE FOUNDED

1.MISSING DATA AFTER CHANGING STATUS

#22 - 08/21/2023 05:06 PM - Karthika V Anand

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#23 - 08/23/2023 03:04 PM - Seema Mathew
TESTED OK

#24 - 09/03/2023 05:54 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

1.CORRECT THE ALLIGMENT OF PARTY FILTER

#25 - 09/04/2023 10:34 AM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60
#26 - 09/25/2023 05:11 PM - unnikannan S

unnikannan S wrote in #note-24:
ISSUE FOUNDED

1.CORRECT THE ALLIGMENT OF PARTY FILTER

#27 - 09/25/2023 05:13 PM - unnikannan S
ISSUE FOUNDED

1.ISSUE WHILE CLICKING NEW BUTTON CHANGE IN FILE NO

#28 - 09/30/2023 10:54 AM - unnikannan S
TESTING DONE

#29 - 10/06/2023 03:26 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.CREATED DOC WISE DATE FILTER NOT WORKING

#30 - 10/07/2023 05:26 PM - Junaid M
- Assignee changed from Karthika V Anand to Vivekp V

#31 - 10/11/2023 06:35 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.CREATED DOC WISE DATE FILTER NOT WORKING

#32 - 10/12/2023 11:40 AM - unnikannan S
TESTING FONE

#33 - 03/19/2024 05:39 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

GUI CHANGE DONE

1- Add Internal Note Column In Grid

#34 - 03/21/2024 06:15 PM - Vivekp V
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

#35 - 03/22/2024 10:45 AM - unnikannan S
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.ADD INTERNAL NOTE IN PRINT OPTION PDF COLUMN

#36 - 03/22/2024 11:05 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.ADD INTERNAL NOTE IN PRINT OPTION PDF COLUMN

#37 - 04/17/2024 02:50 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Limit Data Per Page 20 Pagination (Refer Posting Approve)

#38 - 04/17/2024 03:54 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE Fixed

1.Limit Data Per Page 20 Pagination (Refer Posting Approve)

#39 - 04/17/2024 05:26 PM - unnikannan S
TESTING DONE

#40 - 10/15/2024 09:22 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#41 - 11/09/2024 06:31 PM - Arathy PS
- Status changed from Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FIXED

1. Added remark showing in the details pop up only after the data is searched again.

2. Approved doc not showing in the against doc fields.

3. Branch filter not working.

4. Cost center filter not working.

5. Rejected documents are showing in the settlement module.

6. Module field showing unrelated modules.

6. Pass function not working ---- not possible when try to approve the document using another user. ----> discuss with anil

#42 - 11/17/2024 01:07 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#43 - 01/11/2025 04:39 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1. Approved documents not showing in ledger statement and against doc pop ups. USE SP IN TAAS GROUP
2. Cost center filter not working. documnet module users needs to add cost centre to document then it will work connect with document module
developers

#44 - 01/13/2025 09:33 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#45 - 02/25/2025 06:28 PM - Arathy PS

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

- Tested By changed from unnikannan S to Arathy PS

ISSUE FOUND

1. Add validation if from date is greater than to date.
2. Data not showing while searching using created date.
3. Documents with document date same as 'to date' is not showing.

#46 - 02/26/2025 09:42 AM - Arathy PS

- Assignee changed from Vivekp V to Augustin Jose

#47 - 02/26/2025 04:22 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#48 - 02/27/2025 12:36 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. While logged in as a user that has permission to edit other users data or supervisores or subordinates data but can't approve them.
2. Make remark not mandatory in case of approving of document

#49 - 03/04/2025 10:05 AM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

Files

1-CsModel.cs 1.86 KB 02/02/2023 Junaid M
2-tsModel.ts 1.35 KB 02/02/2023 Junaid M
3-CsFile.cs 1.45 KB 02/02/2023 Junaid M
4-CsControllerFile.cs 1.01 KB 02/02/2023 Junaid M
5-TsFile.ts 0 Bytes 02/02/2023 Junaid M
6-HtmlFile.html 1.89 KB 02/02/2023 Junaid M
sql.sql 4.12 KB 02/02/2023 Junaid M
